# SupergroupEventMessage - docs

docs / com.github.insanusmokrassar.TelegramBotAPI.types.message / SupergroupEventMessage

# SupergroupEventMessage

(common) `data class SupergroupEventMessage : ChatEventMessage` (source)

### Constructors

(common)

#### <init>

`SupergroupEventMessage(messageId: MessageIdentifier, chat: SupergroupChat, chatEvent: SupergroupEvent, date: DateTime)`

### Properties

(common)

#### chat

`val chat: SupergroupChat`

(common)

#### chatEvent

`val chatEvent: SupergroupEvent`

(common)

#### date

`val date: DateTime`

(common)

#### messageId

`val messageId: MessageIdentifier`

### Extension Functions

(common)

#### delete

`suspend fun Message.delete(requestsExecutor: RequestsExecutor): Boolean`